| GET | /RestApi/diagnostics/sites/{forContentType} |
|---|
using System;
using System.Collections;
using System.Collections.Generic;
using System.Runtime.Serialization;
using ServiceStack;
using ServiceStack.DataAnnotations;
using Telerik.Sitefinity.Diagnostics.Tools.PerformanceTips.Web.Services.Dto.Request;
namespace Telerik.Sitefinity.Diagnostics.Tools.PerformanceTips.Web.Services.Dto.Request
{
public enum ContentType
{
Pages,
Libraries,
}
public partial class GetSites
{
public virtual ContentType ForContentType { get; set; }
}
}
To override the Content-type in your clients, use the HTTP Accept Header, append the .other suffix or ?format=other
The following are sample HTTP requests and responses. The placeholders shown need to be replaced with actual values.
GET /RestApi/diagnostics/sites/{forContentType} HTTP/1.1
Host: www.asg.com.au
Accept: text/jsonl
HTTP/1.1 200 OK
Content-Type: text/jsonl
Content-Length: length
[{"Title":"String"}]